| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::ImportStackedView Class Reference
Inheritance diagram for Digikam::ImportStackedView:

## Public Types
enum | StackedViewMode { PreviewCameraMode = 0 , PreviewImageMode , MapWidgetMode , MediaPlayerMode }

## Signals
void | signalEscapePreview ()
void | signalNextItem ()
void | signalPrevItem ()
void | signalViewModeChanged ()
void | signalZoomFactorChanged (double)

## Public Member Functions
| ImportStackedView (QWidget *const parent=nullptr)
void | decreaseZoom ()
void | fitToWindow ()
ImportIconView * | importIconView () const
ImportPreviewView * | importPreviewView () const
void | increaseZoom ()
bool | isInMultipleFileMode () const
bool | isInSingleFileMode () const
MapWidgetView * | mapWidgetView () const
bool | maxZoom () const
bool | minZoom () const
void | previewLoaded ()
void | setDockArea (QMainWindow *)
void | setPreviewItem (const CamItemInfo &info=CamItemInfo(), const CamItemInfo &previous=CamItemInfo(), const CamItemInfo &next=CamItemInfo())
void | setViewMode (const StackedViewMode mode)
void | setZoomFactor (double z)
void | setZoomFactorSnapped (double z)
ImportThumbnailBar * | thumbBar () const
ThumbBarDock * | thumbBarDock () const
void | toggleFitToWindowOr100 ()
StackedViewMode | viewMode () const
double | zoomFactor () const
double | zoomMax () const
double | zoomMin () const
void | zoomTo100Percents ()

## Member Enumeration Documentation

## ◆ StackedViewMode

enum Digikam::ImportStackedView::StackedViewMode

Enumerator
PreviewCameraMode | previewing the set of items on the camera